/bff/permission/entity-share-add
Idempotent — if an active grant already exists, validTo / permissionCode are updated in place.
PermissionpostBffPermissionEntity-share-add
Parameters
5 body
Body · 5
entitystringRequiredentityCodestringRequiredmemberIdstringRequiredExternal member id (shop__contact.external_id).
permissionCodestringOptional fine-grained permission code attached to the grant.
validTostringISO timestamp; access expires at this date. Omit for indefinite access.
Request
POST /bff/permission/entity-share-add
curl -X POST "https://api.bizkithub.com/bff/permission/entity-share-add" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"entity": "example_entity",
"entityCode": "example_entityCode",
"memberId": "example_memberId",
"permissionCode": "example_permissionCode",
"validTo": "example_validTo"
}'Response
JSON payload
{
"success": true
}All response codes
1 status code documented
Need an API key?
All BizKitHub API endpoints require authentication via API key.